Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Phoca Documentation - creating documentation in Joomla! CMS
christine
Phoca Hero
Phoca Hero
Posts: 1938
Joined: 28 Nov 2010, 17:20

Re: Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Post by christine » 27 May 2014, 23:29

Here, I'm again ....

I hv changed the #_table accordingly to: xxx_table. Via: /administrator/components/com_phocagallery/install/sql/mysql > install.utf8.sql & uninstall.utf8.sql
No success. Still the: 1046 .... error (frontend)

Backend: all categories/pictures are there.
In phpMyAdmin: data are stored, i.e. xxx_phocagallery
Should I go again to phpMyAdmin > SQL > update?

This: https://www.phoca.cz/documents/2-phoca-g ... em-solving I checked several .... times
For today, I gave up, sorry about.

Thanks for understanding, Christine

User avatar
woodyf4u
Phoca Enthusiast
Phoca Enthusiast
Posts: 67
Joined: 10 Jan 2009, 22:20
Location: The Netherlands
Contact:

Re: Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Post by woodyf4u » 28 May 2014, 10:27

I don't understand the way you've changed the #_table.
What have to do is:
1. Download the Pgoca Gallery-script.
2. Open the script in Notepad++
3. Change the #__ with your table-prefix.
4. Save the script file.
5. Go to phpMyAdmin and click SQL
5. Click Import
6. Browse to the script file and start the import.

Now the tables are correctly set in your database and the errors should be solved.

For sure: This is my workarounmd. I don't know if Jan Pavelka has some better information for this kind of updates.

christine
Phoca Hero
Phoca Hero
Posts: 1938
Joined: 28 Nov 2010, 17:20

Re: Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Post by christine » 28 May 2014, 11:45

Hi woody4u,

point 1: administrator/components/com_phocagallery/install/sql/mysql
There are: > install.utf8.sql & uninstall.utf8.sql

points 2 + 4: I made. Of course in Notepad++ (utf8 without BOM)

And then I didn't know 'how to run'.

points 5-6 I will try now.

Thanks, Christine

christine
Phoca Hero
Phoca Hero
Posts: 1938
Joined: 28 Nov 2010, 17:20

Re: Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Post by christine » 28 May 2014, 23:17

Hi woody4u,

As mentioned above, I made the steps 5-6, many hours ago. Got successfully reply.
[Der Import wurde erfolgreich abgeschlossen, 14 Abfragen wurden ausgeführt install.utf8.sql]
Again the 1064 error ...

After this, tried, checked, read throug of some msql instructions etc. etc.
phpMyAdmin also shows on each prefix_phocaxxx: data sets! all categories, fotos etc. were there. I.e.: [Zeige Datensätze 0-29 .... ]

Still the 1064 error ...
I tried again the import and of course after this, I got the: #1062 Duplicate entry '1' for key 'PRIMARY' - logical :oops:
Then, I read again through information, descriptions e.t.c and tried several things, as the tables were 'duplicated'. Tried so many things, to solve correctly ...

Outcome now: I lost everthing. data set: 0. Bravo.
I have some backups (I made some), but at the moment, I also lost my head. Sorry,

Christine

User avatar
woodyf4u
Phoca Enthusiast
Phoca Enthusiast
Posts: 67
Joined: 10 Jan 2009, 22:20
Location: The Netherlands
Contact:

Re: Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Post by woodyf4u » 29 May 2014, 10:20

Christine,
I think there is something else what is producing the error.
It is difficult to give you the correct advice.
What I have done, is what I've descriped here.
With these steps I've updates 3 sites with Phoca Gallery and Phoca Download.

I hope there is someone else who can give you some information about the error codes you receive.

christine
Phoca Hero
Phoca Hero
Posts: 1938
Joined: 28 Nov 2010, 17:20

Re: Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Post by christine » 29 May 2014, 10:40

Hi woody4u,

Of course I believe, that you have managed your galleries :wink:
Even there is time enough for migration vom J 2.5 to 3.X .... but I wanted to test everthing before starting on the live .....
So, I will put my backup (backup concerning before the import action).
Is is possible just to 'overwrite' the .sql or do I have to delete the database before?
After above 'action' (hope successfully) I will start again with ...
There also exists an: uninstall.utf8.sql. Could I ignore it?

Thanks for your help .... just now, I recognized your country :|
Bedankt voor jau hulp & ik hoop, dat ik het kan vollhouden, groetjes,

Christine

User avatar
woodyf4u
Phoca Enthusiast
Phoca Enthusiast
Posts: 67
Joined: 10 Jan 2009, 22:20
Location: The Netherlands
Contact:

Re: Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Post by woodyf4u » 29 May 2014, 17:02

Christine,
The best you can do is empty your database and empty your root folder.
Then restore your 2.5 backup and start all-over again.

I hope you have created your backup with Akeeba Backup.In that case you can use kickstart.php and youre site back in a couple of minutes. :D

Thanks for the Dutch words :twisted:
"jau" is "jouw" in Dutch.

christine
Phoca Hero
Phoca Hero
Posts: 1938
Joined: 28 Nov 2010, 17:20

Re: Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Post by christine » 29 May 2014, 23:31

Hi woody4u,

sorry for late reply, I was outside.
a) I deleted all tables in database
b) loaded the backup of .sql
c) everything fine ... all categories etc. shown
d) but in frontend: still: error 1046
e) Tried also repairing within PHPMyAdmin, 'checking' the tables .... system (database) tells me always: everything is OK. Similiar responsives.

No, I don't have Akeeba. I do not think that it will help to go back to J 2.5, because:
steps 1-4 (your post 09may) I made in that way. (Except first step: de-actived phoca-gallery)
So it seems, if would be the same situation (after that), when I start again (?) :(

Will check tomorrow agagain & again .....

Hartelijk bedankt voor jauw goede uitvoeringen, welterusten en tot ziens hier :wink:
Christine

christine
Phoca Hero
Phoca Hero
Posts: 1938
Joined: 28 Nov 2010, 17:20

Re: Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Post by christine » 30 May 2014, 11:33

Hi woody4you,

First of all: It's solved :D

Today I took the situation, *as it is* :

Code: Select all

1146 - Table 'XXXX.myprefix_phocagallery_styles' doesn't exist SQL=SELECT a.filename as filename, a.type as type, a.menulink as menulink FROM h25_phocagallery_styles AS a WHERE a.published = 1 ORDER BY a.type, a.ordering ASC 
Then I imported 'again' the

Code: Select all

administrator/components/com_phocagallery/install/sql/mysql >[b] install.utf8.sql[/b] 
Before that; I checked above install.utf8.sql and saw following:

Code: Select all

CREATE TABLE IF NOT EXISTS `myprefix__phocagallery` (
and changed all tables into:

Code: Select all

CREATE TABLE IF NOT EXISTS `myprefix_phocagallery` (
Maybe. that was the failure? The different of "underscore"

Just to inform you about, what the reason "could be".

Thanks for your help!

Het beste for youw en nog eens heel hartelijk bedankt, groetjes,
Christine

User avatar
woodyf4u
Phoca Enthusiast
Phoca Enthusiast
Posts: 67
Joined: 10 Jan 2009, 22:20
Location: The Netherlands
Contact:

Re: Joomla! 2.5 to 3.x upgrade with Phoca Extensions

Post by woodyf4u » 30 May 2014, 15:48

Christine,
Thanks for your last reply and the guide you followed to update your site.

And for you in German:
Gut, dass Sie die Lösung gefunden haben :|

Post Reply